Subject: [bug#69068] To test or not to test?

From: Saku Laesvuori <[email-masked]>
Date: Wed, 28 Feb 2024 13:47:47 +0200

On Wed, Feb 28, 2024 at 11:32:43AM +0100, Andreas Enge wrote:
> Hello,
> 
> I also looked at this just now and am confused by the test situation.
> Should one not either disable tests altogether, or just comment out
> some of them?

I don't believe any of them even compile with Qt6. The test suite has
been unmaintained for years, so it doesn't really tell anything about
whether the program works correctly or not.

I would certainly agree that it is better to remove just the failing
ones if the issues were actual test failures due to how Guix packaging
works. Here the problem is that the project effectively no longer has a
test suite.